Application Load Balancer API, REST: BackendGroup.Get
- HTTP request
- Path parameters
- Response
- StreamBackendGroup
- StreamBackend
- LoadBalancingConfig
- TargetGroupsBackend
- HealthCheck
- StreamHealthCheck
- Payload
- HttpHealthCheck
- GrpcHealthCheck
- SecureTransportSettings
- ValidationContext
- BackendTls
- ConnectionSessionAffinity
- HttpBackendGroup
- HttpBackend
- StorageBucketBackend
- HeaderSessionAffinity
- CookieSessionAffinity
- GrpcBackendGroup
- GrpcBackend
Returns the specified backend group.
To get the list of all available backend groups, make a List request.
HTTP request
GET https://alb.api.yandexcloud.kz/apploadbalancer/v1/backendGroups/{backendGroupId}
Path parameters
|
Field |
Description |
|
backendGroupId |
string Required field. ID of the backend group to return. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"name": "string",
"description": "string",
"folderId": "string",
"labels": "object",
// Includes only one of the fields `stream`, `http`, `grpc`
"stream": {
"backends": [
{
"name": "string",
"backendWeight": "string",
"loadBalancingConfig": {
"mode": "string",
"panicThreshold": "string",
"localityAwareRoutingPercent": "string",
"strictLocality": "boolean"
},
"port": "string",
// Includes only one of the fields `targetGroups`
"targetGroups": {
"targetGroupIds": [
"string"
]
},
// end of the list of possible fields
"healthchecks": [
{
"timeout": "string",
"interval": "string",
"intervalJitterPercent": "string",
"healthyThreshold": "string",
"unhealthyThreshold": "string",
"healthcheckPort": "string",
// Includes only one of the fields `stream`, `http`, `grpc`
"stream": {
"send": {
// Includes only one of the fields `text`
"text": "string"
// end of the list of possible fields
},
"receive": {
// Includes only one of the fields `text`
"text": "string"
// end of the list of possible fields
}
},
"http": {
"host": "string",
"path": "string",
"useHttp2": "boolean",
"expectedStatuses": [
"string"
]
},
"grpc": {
"serviceName": "string"
},
// end of the list of possible fields
// Includes only one of the fields `plaintext`, `tls`
"plaintext": "object",
"tls": {
"sni": "string",
"validationContext": {
// Includes only one of the fields `trustedCaId`, `trustedCaBytes`
"trustedCaId": "string",
"trustedCaBytes": "string"
// end of the list of possible fields
}
}
// end of the list of possible fields
}
],
"tls": {
"sni": "string",
"validationContext": {
// Includes only one of the fields `trustedCaId`, `trustedCaBytes`
"trustedCaId": "string",
"trustedCaBytes": "string"
// end of the list of possible fields
}
},
"enableProxyProtocol": "boolean",
"keepConnectionsOnHostHealthFailure": "boolean"
}
],
// Includes only one of the fields `connection`
"connection": {
"sourceIp": "boolean"
}
// end of the list of possible fields
},
"http": {
"backends": [
{
"name": "string",
"backendWeight": "string",
"loadBalancingConfig": {
"mode": "string",
"panicThreshold": "string",
"localityAwareRoutingPercent": "string",
"strictLocality": "boolean"
},
"port": "string",
// Includes only one of the fields `storageBucket`, `targetGroups`
"storageBucket": {
"bucket": "string"
},
"targetGroups": {
"targetGroupIds": [
"string"
]
},
// end of the list of possible fields
"healthchecks": [
{
"timeout": "string",
"interval": "string",
"intervalJitterPercent": "string",
"healthyThreshold": "string",
"unhealthyThreshold": "string",
"healthcheckPort": "string",
// Includes only one of the fields `stream`, `http`, `grpc`
"stream": {
"send": {
// Includes only one of the fields `text`
"text": "string"
// end of the list of possible fields
},
"receive": {
// Includes only one of the fields `text`
"text": "string"
// end of the list of possible fields
}
},
"http": {
"host": "string",
"path": "string",
"useHttp2": "boolean",
"expectedStatuses": [
"string"
]
},
"grpc": {
"serviceName": "string"
},
// end of the list of possible fields
// Includes only one of the fields `plaintext`, `tls`
"plaintext": "object",
"tls": {
"sni": "string",
"validationContext": {
// Includes only one of the fields `trustedCaId`, `trustedCaBytes`
"trustedCaId": "string",
"trustedCaBytes": "string"
// end of the list of possible fields
}
}
// end of the list of possible fields
}
],
"tls": {
"sni": "string",
"validationContext": {
// Includes only one of the fields `trustedCaId`, `trustedCaBytes`
"trustedCaId": "string",
"trustedCaBytes": "string"
// end of the list of possible fields
}
},
"useHttp2": "boolean"
}
],
// Includes only one of the fields `connection`, `header`, `cookie`
"connection": {
"sourceIp": "boolean"
},
"header": {
"headerName": "string"
},
"cookie": {
"name": "string",
"ttl": "string",
"path": "string"
}
// end of the list of possible fields
},
"grpc": {
"backends": [
{
"name": "string",
"backendWeight": "string",
"loadBalancingConfig": {
"mode": "string",
"panicThreshold": "string",
"localityAwareRoutingPercent": "string",
"strictLocality": "boolean"
},
"port": "string",
// Includes only one of the fields `targetGroups`
"targetGroups": {
"targetGroupIds": [
"string"
]
},
// end of the list of possible fields
"healthchecks": [
{
"timeout": "string",
"interval": "string",
"intervalJitterPercent": "string",
"healthyThreshold": "string",
"unhealthyThreshold": "string",
"healthcheckPort": "string",
// Includes only one of the fields `stream`, `http`, `grpc`
"stream": {
"send": {
// Includes only one of the fields `text`
"text": "string"
// end of the list of possible fields
},
"receive": {
// Includes only one of the fields `text`
"text": "string"
// end of the list of possible fields
}
},
"http": {
"host": "string",
"path": "string",
"useHttp2": "boolean",
"expectedStatuses": [
"string"
]
},
"grpc": {
"serviceName": "string"
},
// end of the list of possible fields
// Includes only one of the fields `plaintext`, `tls`
"plaintext": "object",
"tls": {
"sni": "string",
"validationContext": {
// Includes only one of the fields `trustedCaId`, `trustedCaBytes`
"trustedCaId": "string",
"trustedCaBytes": "string"
// end of the list of possible fields
}
}
// end of the list of possible fields
}
],
"tls": {
"sni": "string",
"validationContext": {
// Includes only one of the fields `trustedCaId`, `trustedCaBytes`
"trustedCaId": "string",
"trustedCaBytes": "string"
// end of the list of possible fields
}
}
}
],
// Includes only one of the fields `connection`, `header`, `cookie`
"connection": {
"sourceIp": "boolean"
},
"header": {
"headerName": "string"
},
"cookie": {
"name": "string",
"ttl": "string",
"path": "string"
}
// end of the list of possible fields
},
// end of the list of possible fields
"createdAt": "string"
}
A backend group resource.
For details about the concept, see documentation.
|
Field |
Description |
|
id |
string ID of the backend group. Generated at creation time. |
|
name |
string Name of the backend group. The name is unique within the folder. The string length in characters is 3-63. |
|
description |
string Description of the backend group. The string is 0-256 characters long. |
|
folderId |
string ID of the folder that the backend group belongs to. |
|
labels |
object (map<string, string>) Backend group labels as |
|
stream |
List of stream (TCP) backends that the backend group consists of. Includes only one of the fields Backends that the backend group consists of. |
|
http |
List of HTTP backends that the backend group consists of. Includes only one of the fields Backends that the backend group consists of. |
|
grpc |
List of gRPC backends that the backend group consists of. Includes only one of the fields Backends that the backend group consists of. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
StreamBackendGroup
A stream (TCP) backend group resource.
|
Field |
Description |
|
backends[] |
List of stream (TCP) backends. |
|
connection |
Connection-based session affinity configuration. Includes only one of the fields Session affinity configuration for the backend group. |
StreamBackend
A stream (TCP) backend resource.
|
Field |
Description |
|
name |
string Name of the backend. Value must match the regular expression |
|
backendWeight |
string (int64) Backend weight. Traffic is distributed between backends of a backend group according to their weights. |
|
loadBalancingConfig |
Load balancing configuration for the backend. |
|
port |
string (int64) Port used by all targets to receive traffic. Acceptable values are 0 to 65535, inclusive. |
|
targetGroups |
Target groups that belong to the backend. For details about target groups, see Includes only one of the fields Reference to targets that belong to the backend. |
|
healthchecks[] |
Health checks to perform on targets from target groups. |
|
tls |
Settings for TLS connections between load balancer nodes and backend targets. |
|
enableProxyProtocol |
boolean If set, proxy protocol will be enabled for this backend. |
|
keepConnectionsOnHostHealthFailure |
boolean If a backend host becomes unhealthy (as determined by the configured health checks), |
LoadBalancingConfig
A load balancing configuration resource.
|
Field |
Description |
|
mode |
enum (LoadBalancingMode) Load balancing mode for the backend.
|
|
panicThreshold |
string (int64) Threshold for panic mode. Acceptable values are 0 to 100, inclusive. |
|
localityAwareRoutingPercent |
string (int64) Percentage of traffic that a load balancer node sends to healthy backends in its availability zone. Acceptable values are 0 to 100, inclusive. |
|
strictLocality |
boolean Specifies whether a load balancer node should only send traffic to backends in its availability zone, |
TargetGroupsBackend
A resource for target groups that belong to the backend.
|
Field |
Description |
|
targetGroupIds[] |
string List of ID's of target groups that belong to the backend. The number of elements must be greater than 0. |
HealthCheck
A health check resource.
For details about the concept, see documentation.
|
Field |
Description |
|
timeout |
string (duration) Required field. Health check timeout. |
|
interval |
string (duration) Required field. Base interval between consecutive health checks. |
|
intervalJitterPercent |
string |
|
healthyThreshold |
string (int64) Number of consecutive successful health checks required to mark an unhealthy target as healthy. |
|
unhealthyThreshold |
string (int64) Number of consecutive failed health checks required to mark a healthy target as unhealthy. |
|
healthcheckPort |
string (int64) Port used for health checks. Acceptable values are 0 to 65535, inclusive. |
|
stream |
TCP stream health check settings. Includes only one of the fields Protocol-specific health check settings. |
|
http |
HTTP health check settings. Includes only one of the fields Protocol-specific health check settings. |
|
grpc |
gRPC health check settings. Includes only one of the fields Protocol-specific health check settings. |
|
plaintext |
object Includes only one of the fields Optional transport protocol for health checks. |
|
tls |
Includes only one of the fields Optional transport protocol for health checks. |
StreamHealthCheck
A resource for TCP stream health check settings.
|
Field |
Description |
|
send |
Message sent to targets during TCP data transfer. |
|
receive |
Data that must be contained in the messages received from targets for a successful health check. |
Payload
A health check payload resource.
|
Field |
Description |
|
text |
string Payload text. The string length in characters must be 1-16384. Includes only one of the fields Payload. |
HttpHealthCheck
A resource for HTTP health check settings.
|
Field |
Description |
|
host |
string Value for the HTTP/1.1 The string length in characters must be 0-255. Value must match the regular expression |
|
path |
string HTTP path used in requests to targets: request URI for HTTP/1.1 request line The string length in characters must be 1-255. Value must match the regular expression |
|
useHttp2 |
boolean Enables HTTP/2 usage in health checks. |
|
expectedStatuses[] |
string (int64) A list of HTTP response statuses considered healthy. Acceptable values are 100 to 599, inclusive. |
GrpcHealthCheck
A resource for gRPC health check settings.
|
Field |
Description |
|
serviceName |
string Name of the gRPC service to be checked. |
SecureTransportSettings
Transport settings to be used instead of the settings configured per-cluster
|
Field |
Description |
|
sni |
string SNI string for TLS connections. The maximum string length in characters is 255. Value must match the regular expression |
|
validationContext |
Validation context for backend TLS connections. |
ValidationContext
A TLS validation context resource.
|
Field |
Description |
|
trustedCaId |
string Includes only one of the fields TLS certificate issued by a trusted certificate authority (CA). |
|
trustedCaBytes |
string X.509 certificate contents in PEM format. Includes only one of the fields TLS certificate issued by a trusted certificate authority (CA). |
BackendTls
A resource for backend TLS settings.
|
Field |
Description |
|
sni |
string Server Name Indication (SNI) string for TLS connections. The maximum string length in characters is 255. Value must match the regular expression |
|
validationContext |
Validation context for TLS connections. |
ConnectionSessionAffinity
A resource for connection-based session affinity configuration.
|
Field |
Description |
|
sourceIp |
boolean Specifies whether an IP address of the client is used to define a connection for session affinity. |
HttpBackendGroup
An HTTP backend group resource.
|
Field |
Description |
|
backends[] |
List of HTTP backends. |
|
connection |
Connection-based session affinity configuration. Includes only one of the fields Session affinity configuration for the backend group. |
|
header |
HTTP-header-field-based session affinity configuration. Includes only one of the fields Session affinity configuration for the backend group. |
|
cookie |
Cookie-based session affinity configuration. Includes only one of the fields Session affinity configuration for the backend group. |
HttpBackend
An HTTP backend resource.
|
Field |
Description |
|
name |
string Name of the backend. Value must match the regular expression |
|
backendWeight |
string (int64) Backend weight. Traffic is distributed between backends of a backend group according to their weights. |
|
loadBalancingConfig |
Load balancing configuration for the backend. |
|
port |
string (int64) Port used by all targets to receive traffic. Acceptable values are 0 to 65535, inclusive. |
|
storageBucket |
Object Storage bucket to use as the backend. For details about buckets, see Includes only one of the fields Reference to targets that belong to the backend. |
|
targetGroups |
Target groups that belong to the backend. For details about target groups, see Includes only one of the fields Reference to targets that belong to the backend. |
|
healthchecks[] |
Health checks to perform on targets from target groups. |
|
tls |
Settings for TLS connections between load balancer nodes and backend targets. |
|
useHttp2 |
boolean Enables HTTP/2 usage in connections between load balancer nodes and backend targets. |
StorageBucketBackend
A resource for Object Storage bucket used as a backend. For details about the concept,
see documentation.
|
Field |
Description |
|
bucket |
string Required field. Name of the bucket. |
HeaderSessionAffinity
A resource for HTTP-header-field-based session affinity configuration.
|
Field |
Description |
|
headerName |
string Name of the HTTP header field that is used for session affinity. The string length in characters must be 1-256. |
CookieSessionAffinity
A resource for cookie-based session affinity configuration.
|
Field |
Description |
|
name |
string Name of the cookie that is used for session affinity. The string length in characters must be 1-256. |
|
ttl |
string (duration) Maximum age of cookies that are generated for sessions. |
|
path |
string Path of cookie. The string length in characters must be 0-256. |
GrpcBackendGroup
A gRPC backend group resource.
|
Field |
Description |
|
backends[] |
List of gRPC backends. |
|
connection |
Connection-based session affinity configuration. Includes only one of the fields Session affinity configuration for the backend group. |
|
header |
HTTP-header-field-based session affinity configuration. Includes only one of the fields Session affinity configuration for the backend group. |
|
cookie |
Cookie-based session affinity configuration. Includes only one of the fields Session affinity configuration for the backend group. |
GrpcBackend
A gRPC backend resource.
|
Field |
Description |
|
name |
string Name of the backend. Value must match the regular expression |
|
backendWeight |
string (int64) Backend weight. Traffic is distributed between backends of a backend group according to their weights. |
|
loadBalancingConfig |
Load balancing configuration for the backend. |
|
port |
string (int64) Port used by all targets to receive traffic. Acceptable values are 0 to 65535, inclusive. |
|
targetGroups |
Target groups that belong to the backend. Includes only one of the fields Reference to targets that belong to the backend. For now, targets are referenced via target groups. |
|
healthchecks[] |
Health checks to perform on targets from target groups. |
|
tls |
Settings for TLS connections between load balancer nodes and backend targets. |